Subject: Re: [PATCH 7/7] Add MPC512x PSC serial driver

From: John Rigby <[email-masked]>
Date: Tue, 08 Jan 2008 10:47:57 -0700

Thanks for the quick feedback Grant.

Grant Likely wrote:
> Exactly *how* different is the 5121 PSC from the 5200 PSC?  If it is
> really different, then it makes sense to clone. 
The fifo handling has completely changed that is the main difference.
>  In fact; I'd
> duplicate the mpc52xx_psc.h file also to avoid any crossover.
>   
I agree.

> However, if the differences are manegable, I'd rather see a single
> driver that can drive either type of PSC.  In fact, can you post a
> diff between this driver and the original PSC driver?
>   
I simple diff will mostly show the removal of arch/ppc support so
won't be much help.  How about I do take a pass at a new version
that supports 52xx and 512x but only for arch/powerpc?